Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1509294 - Random freezes with nouveau driver on Lenovo Thinkpad P50
Random freezes with nouveau driver on Lenovo Thinkpad P50
Status: NEW
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
28
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-11-03 09:41 EDT by Will Newton
Modified: 2018-10-12 11:21 EDT (History)
40 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of journalctl -k -b -1 --no-pager --no-hostname (96.68 KB, text/plain)
2018-04-30 13:06 EDT, Stefano Biagiotti
no flags Details

  None (edit)
Description Will Newton 2017-11-03 09:41:50 EDT
Description of problem:

With both Wayland an Xorg after some time of using the system I get a lockup. The mouse freezes and some of the text gets drawn upside down and backwards on the screen. I have seen it happen in both Firefox and GNOME Terminal.

My hardware is a Thinkpad P50, with Nvidia graphics selected in the BIOS (not hybrid).

Version-Release number of selected component (if applicable):

kernel 4.13.9-200.fc26.x86_64

How reproducible:

Occurs several times per day but not obvious what triggers it.

Additional info:

dmesg logs:

Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 16 [00ff817000 systemd-logind[1081]]
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000041
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000041
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000041
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000041
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000041
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: read fault at 00039ba000 engine 00 [GR] client 1e [GPC0/PE_7] reason 02 [PTE] on channel 16 [00ff817000 systemd-logind[1081]]
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 16: killed
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 03 13:11:12 localhost.localdomain kernel: nouveau 0000:01:00.0: systemd-logind[1081]: channel 16 killed!
Nov 03 13:11:24 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 03 13:11:34 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 03 13:11:44 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] flip_done timed out

There are no errors visible in the Xorg log.
Comment 1 Jeremy Cline 2017-11-03 09:56:45 EDT
Hello,

Thank you for the bug report. This bug is in a video subsystem that has a kernel part. We track and work on these bugs via the driver package name instead of leaving them assigned to the kernel.
Comment 2 Will Newton 2017-11-06 05:14:16 EST
The logs vary slightly between crashes:

Nov 06 10:04:02 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1858]]
Nov 06 10:04:02 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000000
Nov 06 10:04:02 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000000
Nov 06 10:04:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: read fault at 00028af000 engine 00 [GR] client 18 [GPC0/PE_5] reason 02 [PTE] on channel 17 [00fd8ff000 Xorg[1858]]
Nov 06 10:04:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 17: killed
Nov 06 10:04:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 06 10:04:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 06 10:04:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 5: scheduled for recovery
Nov 06 10:04:02 localhost.localdomain kernel: nouveau 0000:01:00.0: Xorg[1858]: channel 17 killed!
Nov 06 10:04:19 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:04:30 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:04:40 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] flip_done timed out
Nov 06 10:04:50 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:05:00 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:05:10 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] flip_done timed out
Nov 06 10:05:21 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:05:31 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:05:41 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] flip_done timed out
Nov 06 10:08:47 localhost.localdomain kernel: IPv6: ADDRCONF(NETDEV_UP): wlp4s0: link is not ready
Nov 06 10:09:19 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:09:29 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:09:39 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] flip_done timed out
Nov 06 10:09:50 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:10:00 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:10:10 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] flip_done timed out
Nov 06 10:10:30 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 10:10:41 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out

Let me know if there is any further diagnostic information it would be helpful for me to provide.
Comment 3 Will Newton 2017-11-06 10:15:07 EST
Some more logs, with some different messages preceding the failure:

Nov 06 15:05:47 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:47 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 3760, y = 2112, format = 11, storage type = 0
Nov 06 15:05:47 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:47 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 2640, y = 2128, format = 11, storage type = 0
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 0, y = 2112, format = 11, storage type = 0
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 624, y = 2128, format = 11, storage type = 0
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 2864, y = 2144, format = 11, storage type = 0
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 0, y = 2112, format = 11, storage type = 0
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 1072, y = 2128, format = 11, storage type = 0
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 2432, y = 2144, format = 11, storage type = 0
Nov 06 15:05:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 3760, y = 2112, format = 11, storage type = 0
Nov 06 15:05:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 2384, y = 2128, format = 11, storage type = 0
Nov 06 15:05:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:05:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 1504, y = 2144, format = 11, storage type = 0
Nov 06 15:06:42 localhost.localdomain kernel: nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 06 15:06:42 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: write fault at 00029a5000 engine 00 [GR] client 0f [GPC0/PROP_0] reason 02 [PTE] on channel 17 [00fd8ff000 Xorg[1747]]
Nov 06 15:06:42 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 17: killed
Nov 06 15:06:42 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 06 15:06:42 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 06 15:06:42 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 5: scheduled for recovery
Nov 06 15:06:42 localhost.localdomain kernel: nouveau 0000:01:00.0: Xorg[1747]: channel 17 killed!

This still occurs with 4.13.10-200.fc26.x86_64
Comment 4 Brian Kaye 2017-11-06 21:55:22 EST
I have a Lenovo P50 Laptop with a 4K screen. I experience this problem frequently when using mplayer or other multimedia applications. The symptoms are variable but inevitably the system freezes and a power off/reboot is required. 
I have had this problem 3 times in the past hour.

Kernel is 

4.13.10-200.fc26.x86_64

Nouveau driver is

xorg-x11-drv-nouveau-1.0.15-1.fc26.x86_64

Final lines from journalctl:


Nov 06 21:41:30 titan kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000000
Nov 06 21:41:30 titan kernel: nouveau 0000:01:00.0: fifo: read fault at 000448b000 engine 00 [GR] client 0a [GPC0/T1_3] reason 02 [PTE] on channel 6 [007f2c5000 Xorg[884]]
Nov 06 21:41:30 titan kernel: nouveau 0000:01:00.0: fifo: channel 6: killed
Nov 06 21:41:30 titan kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 06 21:41:30 titan kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 06 21:41:30 titan kernel: nouveau 0000:01:00.0: Xorg[884]: channel 6 killed!
Nov 06 21:41:41 titan kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 21:41:45 titan NetworkManager[800]: <info>  [1510018905.3144] device (wlp4s0): supplicant interface state: inactive -> scanning
Nov 06 21:41:51 titan kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 06 21:41:59 titan systemd[1]: Starting dnf makecache...
lines 2355-2393/2393 (END)
Comment 5 Will Newton 2017-11-07 10:02:09 EST
I tried a couple of workarounds but none worked so far.

I tried switching to hybrid graphics rather than discrete (the P50 allows selection of hybrid or discrete but cannot select integrated graphics in the BIOS) but with hybrid enabled Fedora 26 doesn't boot.

I also tried the Nvidia binary driver but that was also unsuccessful (boot failed to bring up the display).

So in summary, it would be great to get nouveau stable on this machine. ;-)
Comment 6 Will Newton 2017-11-07 11:12:22 EST
These are all the logs from the nouveau driver across a boot:

Nov 06 16:02:57 localhost.localdomain kernel: nouveau: detected PR support, will not use DSM
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: NVIDIA GM107 (117300a2)
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: bios: version 82.07.9d.00.14
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: fb: 4096 MiB GDDR5
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 001228 [ IBUS ]
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: bus: MMIO read of 00000000 FAULT at 10ac08 [ IBUS ]
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: VRAM: 4096 MiB
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: GART: 1048576 MiB
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: TMDS table version 2.0
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB version 4.0
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB outp 00: 04800fb6 04420010
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB outp 01: 02011fa6 04420010
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB outp 02: 02011f62 00020010
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB outp 03: 08022fc6 04420010
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB outp 04: 08022f82 00020010
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB outp 05: 01033fd6 04420020
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB outp 06: 01033f92 00020020
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB conn 00: 00002047
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB conn 01: 00001146
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB conn 02: 00010246
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: DCB conn 03: 00020346
Nov 06 16:02:57 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: MM: using COPY for buffer copies
Nov 06 16:02:58 localhost.localdomain kernel: nouveau 0000:01:00.0: DRM: allocated 3840x2160 fb: 0x60000, bo ffff9d7b027bd000
Nov 06 16:02:58 localhost.localdomain kernel: fbcon: nouveaufb (fb0) is primary device
Nov 06 16:02:58 localhost.localdomain kernel: nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 06 16:02:58 localhost.localdomain kernel: nouveau 0000:01:00.0: fb0: nouveaufb frame buffer device
Nov 06 16:02:58 localhost.localdomain kernel: [drm] Initialized nouveau 1.3.1 20120801 for 0000:01:00.0 on minor 0
Nov 06 17:47:39 localhost.localdomain kernel: nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 06 18:11:25 localhost.localdomain kernel: nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 07 09:53:01 localhost.localdomain kernel: nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1773]]
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000009
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000009
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000041
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000009
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000041
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: read fault at 0001a80000 engine 00 [GR] client 04 [GPC0/T1_1] reason 02 [PTE] on channel 17 [00fd8ff000 Xorg[1773]]
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 17: killed
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 5: scheduled for recovery
Nov 07 16:07:02 localhost.localdomain kernel: nouveau 0000:01:00.0: Xorg[1773]: channel 17 killed!

Note that there are two FAULT errors printed during the boot process but this doesn't seem to cause a problem in itself.
Comment 7 Will Newton 2017-11-09 06:02:03 EST
I've just seen this crash with kernel 4.13.11-200:

Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000001
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000002
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000002
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000002
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000002
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: FB_FLUSH_TIMEOUT
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000002
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000002
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000002
Nov 09 10:51:40 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: CHSW_ERROR 00000002

The last message repeats forever until I shutdown.

Let me know if there is any more relevant information that would be helpful.
Comment 8 Will Newton 2017-11-09 12:04:23 EST
Another slightly different trace:

Nov 09 16:00:01 localhost.localdomain kernel: nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1671]]
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000041
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000041
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000041
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000041
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000041
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: read fault at 0001b2d000 engine 00 [GR] client 07 [GPC0/T1_2] reason 02 [PTE] on channel 17 [00fd8ff000 Xorg[1671]]
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 17: killed
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 5: scheduled for recovery
Nov 09 16:28:20 localhost.localdomain kernel: nouveau 0000:01:00.0: Xorg[1671]: channel 17 killed!
Comment 9 Will Newton 2017-11-10 04:40:35 EST
I updated the BIOS to the latest version but that doesn't seem to have changed the behaviour at all.

I am almost certain that the problem is correlated with system load. For example, light web browsing seems to allow a reasonable uptime but if I start a large build or repo sync of the Android tree then a freeze is almost inevitable.

Note that the system continues running it is just the graphics that freeze.

Output of lspci:

00:00.0 Host bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor Host Bridge/DRAM Registers (rev 07)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 07)
00:14.0 USB controller: Intel Corporation Sunrise Point-H USB 3.0 xHCI Controller (rev 31)
00:14.2 Signal processing controller: Intel Corporation Sunrise Point-H Thermal subsystem (rev 31)
00:16.0 Communication controller: Intel Corporation Sunrise Point-H CSME HECI #1 (rev 31)
00:16.3 Serial controller: Intel Corporation Sunrise Point-H KT Redirection (rev 31)
00:17.0 SATA controller: Intel Corporation Sunrise Point-H SATA controller [AHCI mode] (rev 31)
00:1c.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #1 (rev f1)
00:1c.2 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #3 (rev f1)
00:1c.4 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #5 (rev f1)
00:1d.0 PCI bridge: Intel Corporation Sunrise Point-H PCI Express Root Port #13 (rev f1)
00:1f.0 ISA bridge: Intel Corporation Sunrise Point-H LPC Controller (rev 31)
00:1f.2 Memory controller: Intel Corporation Sunrise Point-H PMC (rev 31)
00:1f.3 Audio device: Intel Corporation Sunrise Point-H HD Audio (rev 31)
00:1f.4 SMBus: Intel Corporation Sunrise Point-H SMBus (rev 31)
00:1f.6 Ethernet controller: Intel Corporation Ethernet Connection (2) I219-LM (rev 31)
01:00.0 VGA compatible controller: NVIDIA Corporation GM107GLM [Quadro M2000M] (rev a2)
01:00.1 Audio device: NVIDIA Corporation Device 0fbc (rev a1)
04:00.0 Network controller: Intel Corporation Wireless 8260 (rev 3a)
3e:00.0 Unassigned class [ff00]: Realtek Semiconductor Co., Ltd. RTS525A PCI Express Card Reader (rev 01)
Comment 10 Will Newton 2017-11-10 07:21:48 EST
Logs with nouveau debug enabled:

Nov 10 12:17:16 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN target request: 36%
Nov 10 12:17:16 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN update: 36
Nov 10 12:17:17 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN target request: 36%
Nov 10 12:17:17 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN update: 36
Nov 10 12:17:18 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN target request: 34%
Nov 10 12:17:18 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN target: 34
Nov 10 12:17:18 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN update: 34
Nov 10 12:17:19 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN target request: 36%
Nov 10 12:17:19 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN target: 36
Nov 10 12:17:19 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN update: 36
Nov 10 12:17:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1748]]
Nov 10 12:17:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 26, y = 2112, format = 11, storage type = 0
Nov 10 12:17:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1748]]
Nov 10 12:17:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 26, y = 2112, format = 11, storage type = 0
Nov 10 12:17:20 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN target request: 36%
Nov 10 12:17:20 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN update: 36
Nov 10 12:17:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1748]]
Nov 10 12:17:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 26, y = 2112, format = 11, storage type = 0
Nov 10 12:17:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1748]]
Nov 10 12:17:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 26, y = 2112, format = 11, storage type = 0
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 17 [00fd8ff000 Xorg[1748]]
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000020 [RT_HEIGHT_OVERRUN] x = 26, y = 2112, format = 11, storage type = 0
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN target request: 36%
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN update: 36
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: write fault at 0000000000 engine 00 [GR] client 0f [GPC0/PROP_0] reason 02 [PTE] on channel 17 [00fd8ff000 Xorg[1748]]
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 17: killed
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 00: busy 1 faulted 1 chsw 0 save 0 load 1 chid 17*-> chid 17 
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 00: busy 1 faulted 1 chsw 0 save 0 load 1 chid 17*-> chid 17 
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 05: busy 0 faulted 0 chsw 0 save 0 load 1 chid 17*-> chid 17 
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 05: busy 0 faulted 0 chsw 0 save 0 load 1 chid 17*-> chid 17 
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 05: busy 0 faulted 1 chsw 0 save 0 load 1 chid 17*-> chid 17 
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 5: scheduled for recovery
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: Xorg[1748]: channel 17 killed!
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: released GPCCS falcon
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: released FECS falcon
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: acquired FECS falcon
Nov 10 12:17:21 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: acquired GPCCS falcon
Nov 10 12:17:22 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN target request: 36%
Nov 10 12:17:22 localhost.localdomain kernel: nouveau 0000:01:00.0: therm: FAN update: 36
Comment 11 Will Newton 2017-11-13 08:18:06 EST
Setting nouveau.runpm=0 didn't seem to stop the crash, although weirdly the system did seem to limp along for a few seconds longer than normal after the display corruption began:

Nov 13 13:07:18 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 16 [00ff817000 systemd-logind[1019]]
Nov 13 13:07:18 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000000
Nov 13 13:07:18 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000009
Nov 13 13:07:18 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000000
Nov 13 13:07:18 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000009
Nov 13 13:07:18 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000009
Nov 13 13:07:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 16 [00ff817000 systemd-logind[1019]]
Nov 13 13:07:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000009
Nov 13 13:07:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000009
Nov 13 13:07:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000009
Nov 13 13:07:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000009
Nov 13 13:07:19 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000009
Nov 13 13:07:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 16 [00ff817000 systemd-logind[1019]]
Nov 13 13:07:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000000
Nov 13 13:07:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000009
Nov 13 13:07:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000009
Nov 13 13:07:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000000
Nov 13 13:07:20 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000009
Nov 13 13:07:22 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 16 [00ff817000 systemd-logind[1019]]
Nov 13 13:07:22 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000009
Nov 13 13:07:22 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000009
Nov 13 13:07:22 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000009
Nov 13 13:07:22 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000009
Nov 13 13:07:22 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000009
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 16 [00ff817000 systemd-logind[1019]]
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000009
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000009
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000009
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000009
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000009
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 16 [00ff817000 systemd-logind[1019]]
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000000
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000009
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000000
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000000
Nov 13 13:07:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000000
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 16 [00ff817000 systemd-logind[1019]]
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000041
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000041
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000041
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000041
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000041
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: read fault at 00039bf000 engine 00 [GR] client 01 [GPC0/T1_0] reason 02 [PTE] on channel 16 [00ff817000 systemd-logind[1019]]
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 16: killed
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 5: scheduled for recovery
Nov 13 13:07:52 localhost.localdomain kernel: nouveau 0000:01:00.0: systemd-logind[1019]: channel 16 killed!

My offer to help in any way to diagnose this further still stands. I don't have the knowledge or time to dig into the driver code and figure this out from first principles however.
Comment 12 Brian Kaye 2017-11-16 19:53:16 EST
Nov 16 11:31:53 titan audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=dnf-makecache comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Nov 16 11:45:10 titan kernel: nouveau 0000:01:00.0: gr: TRAP ch 15 [007e4fd000 Xorg[918]]
Nov 16 11:45:10 titan kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000000
Nov 16 11:45:10 titan kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000009
Nov 16 11:45:10 titan kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000000



...The last 3 lines are repeated many times followed by:

Nov 16 11:47:10 titan kernel: nouveau 0000:01:00.0: fifo: read fault at 00015cb000 engine 00 [GR] client 01 [GPC0/T1_0] reason 02 [PTE] on channel 15 [007e4fd000 Xorg[918]]
Nov 16 11:47:10 titan kernel: nouveau 0000:01:00.0: fifo: channel 15: killed
Nov 16 11:47:10 titan kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 16 11:47:10 titan kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 16 11:47:10 titan kernel: nouveau 0000:01:00.0: Xorg[918]: channel 15 killed!
Nov 16 11:47:29 titan kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 16 11:47:39 titan kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Nov 16 11:47:49 titan kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] flip_done timed out
Comment 13 Will Newton 2017-11-17 07:57:06 EST
This is still happening with Fedora 27 and wayland:

Nov 17 12:17:20 localhost.localdomain kernel: nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 13 [00ff817000 systemd-logind[1084]]
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000041
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000041
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000041
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000041
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000041
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: read fault at 0005a54000 engine 00 [GR] client 15 [GPC0/PE_4] reason 02 [PTE] on channel 13 [00ff817000 systemd-logind[1084]]
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 13: killed
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 5: scheduled for recovery
Nov 17 12:45:53 localhost.localdomain kernel: nouveau 0000:01:00.0: systemd-logind[1084]: channel 13 killed!
Nov 17 12:45:57 localhost.localdomain kernel: nouveau 0000:01:00.0: Xwayland[1908]: nv50cal_space: -16
Comment 14 amashah 2017-11-17 17:42:39 EST
We most certainly have the same issue Will.

Here are my collected logs which likely duplicate yours.  Out of curiosity, are you using the P50 with a docking station when these lockups occur? I have noticed it frequently when docked, however I have had it a couple while not docked as well.  It seems to be getting worse as of late.. 


Nov 16 12:11:28  gsd-media-keys[1791]: Unable to get default source
Nov 16 12:11:28  gsd-color[1783]: unable to get EDID for xrandr-eDP-1: unable to get EDID for output
Nov 16 12:11:28  gnome-shell[1412]: Failed to apply DRM plane transform 0: Invalid argument
Nov 16 12:11:28  gnome-shell[1412]: Failed to apply DRM plane transform 0: Invalid argument
Nov 16 12:11:28  gnome-shell[1412]: Failed to apply DRM plane transform 0: Invalid argument
Nov 16 12:11:28  gnome-shell[1412]: Failed to apply DRM plane transform 0: Invalid argument
Nov 16 12:11:28  kernel: nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 16 12:11:29  kernel: nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 16 12:11:29  kernel: nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 16 12:11:29  kernel: nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
Nov 16 12:11:29  gsd-color[1783]: no xrandr-eDP-1 device found: Failed to find output xrandr-eDP-1



-----------------------



[   22.083936] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   22.245498] e1000e: enp0s31f6 NIC Link is Up 1000 Mbps Full Duplex, Flow Control: Rx/Tx
[   22.245601] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s31f6: link becomes ready
[   22.323148] nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   22.461500] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   22.699517] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07


------------------------


[   22.245601] IPv6: ADDRCONF(NETDEV_CHANGE): enp0s31f6: link becomes ready
[   22.323148] nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   22.461500] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   22.699517] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   23.050614] ------------[ cut here ]------------
[   23.050640] WARNING: CPU: 4 PID: 436 at drivers/gpu/drm/nouveau/include/nvkm/subdev/i2c.h:169 nvkm_dp_train_pattern+0x117/0x130 [nouveau]
[   23.050641] Modules linked in: xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac binfmt_misc bnep sunrpc arc4 snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support mei_wdt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iwlmvm kvm mac80211 irqbypass intel_cstate snd_hda_codec_realtek intel_uncore snd_hda_codec_generic intel_rapl_perf
[   23.050661]  snd_hda_intel snd_hda_codec btusb snd_hda_core btrtl btbcm iwlwifi snd_hwdep btintel snd_seq bluetooth snd_seq_device snd_pcm thinkpad_acpi uvcvideo cfg80211 snd_timer videobuf2_vmalloc videobuf2_memops rtsx_pci_ms videobuf2_v4l2 videobuf2_core memstick wmi_bmof i2c_i801 videodev joydev snd mei_me media ecdh_generic mei soundcore intel_pch_thermal rfkill shpchp tpm_tis tpm_tis_core tpm dm_crypt hid_logitech_hidpp hid_logitech_dj rtsx_pci_sdmmc mmc_core nouveau crct10dif_pclmul crc32_pclmul crc32c_intel mxm_wmi ghash_clmulni_intel i2c_algo_bit drm_kms_helper e1000e ttm serio_raw drm ptp nvme pps_core rtsx_pci nvme_core wmi video
[   23.050681] CPU: 4 PID: 436 Comm: kworker/u16:3 Not tainted 4.13.10-200.fc26.x86_64 #1
[   23.050681] Hardware name: LENOVO 20EQS64N0B/20EQS64N0B, BIOS N1EET71W (1.44 ) 08/31/2017
[   23.050701] Workqueue: nvkm-disp gf119_disp_super [nouveau]
[   23.050702] task: ffff94077b04a6c0 task.stack: ffffbad643850000
[   23.050720] RIP: 0010:nvkm_dp_train_pattern+0x117/0x130 [nouveau]
[   23.050721] RSP: 0018:ffffbad643853c70 EFLAGS: 00010297
[   23.050722] RAX: 0000000000000000 RBX: ffff94077b76c800 RCX: 0000000000000000
[   23.050722] RDX: 0000000000000001 RSI: ffffbad64500e534 RDI: 0000000001009000
[   23.050723] RBP: ffffbad643853c98 R08: ffffbad643853c75 R09: ffffbad643853c77
[   23.050723] R10: 0000000000000000 R11: 0000000000000010 R12: 0000000000000002
[   23.050724] R13: ffff94077a8b4800 R14: 0000000000000000 R15: 0000000000000000
[   23.050724] FS:  0000000000000000(0000) GS:ffff9407a3d00000(0000) knlGS:0000000000000000
[   23.050725] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[   23.050726] CR2: 000055cd7cbad748 CR3: 000000076ae09000 CR4: 00000000003406e0
[   23.050726] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[   23.050727] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[   23.050727] Call Trace:
[   23.050744]  nvkm_dp_acquire+0xb1d/0xcd0 [nouveau]
[   23.050761]  nv50_disp_super_2_2+0x5d/0x470 [nouveau]
[   23.050774]  ? nvkm_devinit_pll_set+0xf/0x20 [nouveau]
[   23.050790]  gf119_disp_super+0x19c/0x2f0 [nouveau]
[   23.050793]  process_one_work+0x193/0x3c0
[   23.050794]  worker_thread+0x4a/0x3a0
[   23.050795]  kthread+0x125/0x140
[   23.050796]  ? process_one_work+0x3c0/0x3c0
[   23.050798]  ? kthread_park+0x60/0x60
[   23.050799]  ? do_syscall_64+0x67/0x140
[   23.050801]  ret_from_fork+0x25/0x30
[   23.050802] Code: 5d c3 4c 8d 4d df 4c 8d 45 dd b9 02 01 00 00 ba 09 00 00 00 be 01 00 00 00 4c 89 ef e8 13 96 fd ff 85 c0 75 08 80 7d df 01 74 02 <0f> ff 4c 89 ef e8 ff 93 fd ff e9 62 ff ff ff e8 25 c1 da c1 0f 
[   23.050819] ---[ end trace 3eed2fc104e1faf5 ]---
[   23.051361] nouveau 0000:01:00.0: disp: outp 00:0006:0f44: training failed
[   24.018812] nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   24.059747] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   24.106100] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   24.152434] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[   31.238301] systemd-journald[822]: File /var/log/journal/2d527a653933486b8f8b825accf05f57/user-1000.journal corrupted or uncleanly shut down, renaming and replacing.
[   31.665868] fuse init (API version 7.26)
[   33.077090] Bluetooth: RFCOMM TTY layer initialized
[   33.077101] Bluetooth: RFCOMM socket layer initialized
[   33.077144] Bluetooth: RFCOMM ver 1.11
[   33.846061] rfkill: input handler disabled
[   37.288120] logitech-hidpp-device 0003:046D:401B.0006: HID++ 2.0 device connected.
[  753.899412] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[  753.942957] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[  754.120261] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[  754.366448] nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
[ 6910.378331] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[ 6910.568186] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[ 6910.879628] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[ 6911.123081] nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07
[ 6911.577347] ------------[ cut here ]------------
[ 6911.577405] WARNING: CPU: 5 PID: 7853 at drivers/gpu/drm/nouveau/include/nvkm/subdev/i2c.h:169 nvkm_dp_train_sense+0xd9/0x200 [nouveau]
[ 6911.577405] Modules linked in: rfcomm fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables cmac binfmt_misc bnep sunrpc arc4 snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support mei_wdt intel_rapl x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel iwlmvm kvm mac80211 irqbypass intel_cstate snd_hda_codec_realtek intel_uncore snd_hda_codec_generic
[ 6911.577427]  intel_rapl_perf snd_hda_intel snd_hda_codec btusb snd_hda_core btrtl btbcm iwlwifi snd_hwdep btintel snd_seq bluetooth snd_seq_device snd_pcm thinkpad_acpi uvcvideo cfg80211 snd_timer videobuf2_vmalloc videobuf2_memops rtsx_pci_ms videobuf2_v4l2 videobuf2_core memstick wmi_bmof i2c_i801 videodev joydev snd mei_me media ecdh_generic mei soundcore intel_pch_thermal rfkill shpchp tpm_tis tpm_tis_core tpm dm_crypt hid_logitech_hidpp hid_logitech_dj rtsx_pci_sdmmc mmc_core nouveau crct10dif_pclmul crc32_pclmul crc32c_intel mxm_wmi ghash_clmulni_intel i2c_algo_bit drm_kms_helper e1000e ttm serio_raw drm ptp nvme pps_core rtsx_pci nvme_core wmi video
[ 6911.577449] CPU: 5 PID: 7853 Comm: kworker/u16:5 Tainted: G        W       4.13.10-200.fc26.x86_64 #1
[ 6911.577449] Hardware name: LENOVO 20EQS64N0B/20EQS64N0B, BIOS N1EET71W (1.44 ) 08/31/2017
[ 6911.577469] Workqueue: nvkm-disp gf119_disp_super [nouveau]
[ 6911.577470] task: ffff940712ab0000 task.stack: ffffbad64a9a4000
[ 6911.577488] RIP: 0010:nvkm_dp_train_sense+0xd9/0x200 [nouveau]
[ 6911.577489] RSP: 0018:ffffbad64a9a7c58 EFLAGS: 00010297
[ 6911.577490] RAX: 0000000000000000 RBX: ffff94077a8b4800 RCX: 0000000000000000
[ 6911.577490] RDX: 0000000000000006 RSI: ffffbad64500e534 RDI: 0000000001009005
[ 6911.577491] RBP: ffffbad64a9a7c98 R08: ffffbad64a9a7d40 R09: ffffbad64a9a7c66
[ 6911.577491] R10: 0000000000000000 R11: 0000000000000010 R12: ffff94077b76c800
[ 6911.577492] R13: ffffbad64a9a7d38 R14: 0000000000000000 R15: 0000000000000000
[ 6911.577493] FS:  0000000000000000(0000) GS:ffff9407a3d40000(0000) knlGS:0000000000000000
[ 6911.577493] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
[ 6911.577494] CR2: 000056255d3efb18 CR3: 000000076ae09000 CR4: 00000000003406e0
[ 6911.577495] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[ 6911.577495] DR3: 0000000000000000 DR6: 00000000fffe0ff0 DR7: 0000000000000400
[ 6911.577496] Call Trace:
[ 6911.577513]  nvkm_dp_acquire+0x587/0xcd0 [nouveau]
[ 6911.577531]  nv50_disp_super_2_2+0x5d/0x470 [nouveau]
[ 6911.577534]  ? pick_next_task_fair+0x137/0x550
[ 6911.577536]  ? __switch_to+0x1fc/0x4a0
[ 6911.577552]  gf119_disp_super+0x19c/0x2f0 [nouveau]
[ 6911.577554]  process_one_work+0x193/0x3c0
[ 6911.577555]  worker_thread+0x4a/0x3a0
[ 6911.577556]  kthread+0x125/0x140
[ 6911.577557]  ? process_one_work+0x3c0/0x3c0
[ 6911.577559]  ? kthread_park+0x60/0x60
[ 6911.577560]  ? kthread_park+0x60/0x60
[ 6911.577562]  ret_from_fork+0x25/0x30
[ 6911.577563] Code: b9 02 02 00 00 ba 09 00 00 00 be 01 00 00 00 48 89 df 49 89 c0 48 89 45 c0 e8 04 92 fd ff 85 c0 41 89 c7 75 5d 80 7d ce 06 74 02 <0f> ff 48 89 df e8 ed 8f fd ff 45 84 f6 75 55 49 8b 44 24 08 83 
[ 6911.577580] ---[ end trace 3eed2fc104e1faf6 ]---
[ 6911.577733] nouveau 0000:01:00.0: disp: outp 00:0006:0f44: training failed
[ 6912.191101] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[ 6912.226312] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[ 6912.814793] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[11733.067864] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[11733.177269] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[11733.349730] nouveau 0000:01:00.0: disp: 0x000064a8[0]: INIT_GENERIC_CONDITON: unknown 0x07
[11733.598189] nouveau 0000:01:00.0: disp: 0x00006671[0]: INIT_GENERIC_CONDITON: unknown 0x07

-----------------------------------------------------



Oct 23 14:56:17 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: read fault at 470da27000 engine 00 [GR] client 0d [GPC0/GCC] reason 00 [PDE] on channel 20 [00fd8b5000 Xorg[1972]]
Oct 23 14:56:17 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 20: killed
Oct 23 14:56:17 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Oct 23 14:56:17 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Oct 23 14:56:17 localhost.localdomain kernel: nouveau 0000:01:00.0: Xorg[1972]: channel 20 killed!
Oct 23 14:56:27 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Oct 23 14:56:38 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Oct 23 14:56:48 localhost.localdomain kernel: [drm:drm_atomic_helper_wait_for_dependencies [drm_kms_helper]] *ERROR* [CRTC:38:head-0] flip_done timed out
Oct 23 14:56:48 localhost.localdomain systemd[1]: Starting Cleanup of Temporary Directories...
Oct 23 14:56:48 localhost.localdomain systemd[1]: Started Cleanup of Temporary Directories.
Oct 23 14:56:48 localhost.localdomain audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-tmpfiles-clean comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? ter
Oct 23 14:56:48 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-tmpfiles-clean comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? term
Oct 23 14:56:58 localhost.localdomain kernel: [drm:drm_atomic_helper_swap_state [drm_kms_helper]] *ERROR* [CRTC:38:head-0] hw_done timed out
Comment 15 Brian Kaye 2017-11-17 21:54:40 EST
I don't have a docking station. I can go several days without one and then have a couple within a couple of minutes. What we need is some way to get a trace when it starts. The cursor freezes, sound if any continues for a few seconds then total hang. No keyboard input at all is recognized.
Comment 16 Will Newton 2017-11-20 05:18:43 EST
I don't have a docking station either. The crashes are still ongoing:

Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 13 [00ff817000 systemd-logind[1121]]
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/PROP trap: 00000100 [RT_STORAGE_TYPE_MISMATCH] x = 3832, y = 2054, format = 2a, storage type = 17
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 13 [00ff817000 systemd-logind[1121]]
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000041
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000041
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000041
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC3/TEX: 80000041
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC4/TEX: 80000041
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: read fault at 0006946000 engine 00 [GR] client 07 [GPC0/T1_2] reason 02 [PTE] on channel 13 [00ff817000 systemd-logind[1121]]
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: channel 13: killed
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: runlist 0: scheduled for recovery
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 0: scheduled for recovery
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: fifo: engine 5: scheduled for recovery
Nov 20 10:14:30 localhost.localdomain kernel: nouveau 0000:01:00.0: systemd-logind[1121]: channel 13 killed!
Comment 17 Brian Kaye 2017-11-20 09:46:13 EST
Is there a way to change the severity of this bug? Since its currently "unspecified" perhaps the Red Hat folks are not paying attention.
Comment 18 Will Newton 2017-11-20 09:51:04 EST
I created an upstream bug report here: https://bugs.freedesktop.org/show_bug.cgi?id=103721
Comment 19 Peter Larsen 2017-11-20 16:45:19 EST
(In reply to Will Newton from comment #18)
> I created an upstream bug report here:
> https://bugs.freedesktop.org/show_bug.cgi?id=103721

Looks like this is an old and unresolved issue with no traction? https://bugs.freedesktop.org/show_bug.cgi?id=100567

I've got this issue on several platforms. Not just Lenovo.
Comment 20 Will Newton 2017-11-21 04:52:24 EST
I'm not so sure. The bug here seems to be characterized by the read fault PTE message (which seems present in almost all the traces) and the bug you referenced seems to cause a CTXSW_TIMEOUT message which is not seen in any of these traces.

That said I don't have any knowledge of the driver architecture so if someone with that knowledge thinks they are the same issue then they should be merged.
Comment 22 Jim Scarborough 2018-01-30 08:03:41 EST
This may be related to or the same as bug 1527669.
Comment 23 Will Newton 2018-02-19 05:38:10 EST
This issue is still present with kernel-4.15.3-300.fc27.x86_64

The below upstream issue suggests updating Mesa may help, although I haven't had chance to try that: https://bugs.freedesktop.org/show_bug.cgi?id=105045
Comment 24 Will Newton 2018-02-19 11:00:07 EST
I've seen a lot of lockups today (> 10) which is making it very hard to use this laptop with Fedora. The logs when the lockup happens seem to have changed, for example:

Feb 19 15:47:24 localhost.localdomain kernel: swiotlb_tbl_map_single: 63 callbacks suppressed
Feb 19 15:47:24 localhost.localdomain kernel: nouveau 0000:01:00.0: swiotlb buffer is full (sz: 2097152 bytes)
Feb 19 15:47:24 localhost.localdomain kernel: swiotlb: coherent allocation failed for device 0000:01:00.0 size=2097152
Feb 19 15:47:24 localhost.localdomain kernel: CPU: 7 PID: 1866 Comm: gnome-shell Not tainted 4.15.3-300.fc27.x86_64 #1
Feb 19 15:47:24 localhost.localdomain kernel: Hardware name: LENOVO 20EN0007UK/20EN0007UK, BIOS N1EET73W (1.46 ) 09/28/2017
Feb 19 15:47:24 localhost.localdomain kernel: Call Trace:
Feb 19 15:47:24 localhost.localdomain kernel:  dump_stack+0x5c/0x85
Feb 19 15:47:24 localhost.localdomain kernel:  swiotlb_alloc_coherent+0xe0/0x150
Feb 19 15:47:24 localhost.localdomain kernel:  ttm_dma_pool_get_pages+0x20e/0x5e0 [ttm]
Feb 19 15:47:24 localhost.localdomain kernel:  ttm_dma_populate+0x24d/0x340 [ttm]
Feb 19 15:47:24 localhost.localdomain kernel:  ttm_tt_bind+0x29/0x60 [ttm]
Feb 19 15:47:24 localhost.localdomain kernel:  ttm_bo_handle_move_mem+0x5da/0x610 [ttm]
Feb 19 15:47:24 localhost.localdomain kernel:  ttm_bo_validate+0x135/0x150 [ttm]
Feb 19 15:47:24 localhost.localdomain kernel:  ttm_bo_init_reserved+0x385/0x430 [ttm]
Feb 19 15:47:24 localhost.localdomain kernel:  ttm_bo_init+0x2f/0x90 [ttm]
Feb 19 15:47:24 localhost.localdomain kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
Feb 19 15:47:24 localhost.localdomain kernel:  ? _cond_resched+0x15/0x40
Feb 19 15:47:24 localhost.localdomain kernel:  nouveau_bo_new+0x416/0x590 [nouveau]
Feb 19 15:47:24 localhost.localdomain kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
Feb 19 15:47:24 localhost.localdomain kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
Feb 19 15:47:24 localhost.localdomain kernel:  nouveau_gem_new+0x5d/0x120 [nouveau]
Feb 19 15:47:24 localhost.localdomain kernel:  nouveau_gem_ioctl_new+0x51/0xd0 [nouveau]
Feb 19 15:47:24 localhost.localdomain kernel:  drm_ioctl_kernel+0x5b/0xb0 [drm]
Feb 19 15:47:24 localhost.localdomain kernel:  drm_ioctl+0x2d5/0x370 [drm]
Feb 19 15:47:24 localhost.localdomain kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
Feb 19 15:47:24 localhost.localdomain kernel:  nouveau_drm_ioctl+0x64/0xc0 [nouveau]
Feb 19 15:47:24 localhost.localdomain kernel:  do_vfs_ioctl+0xa4/0x620
Feb 19 15:47:24 localhost.localdomain kernel:  SyS_ioctl+0x74/0x80
Feb 19 15:47:24 localhost.localdomain kernel:  do_syscall_64+0x75/0x180
Feb 19 15:47:24 localhost.localdomain kernel:  entry_SYSCALL_64_after_hwframe+0x21/0x86
Feb 19 15:47:24 localhost.localdomain kernel: RIP: 0033:0x7f3f9310b8e7
Feb 19 15:47:24 localhost.localdomain kernel: RSP: 002b:00007ffccc1e0ea8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Feb 19 15:47:24 localhost.localdomain kernel: RAX: ffffffffffffffda RBX: 000055a973cc1800 RCX: 00007f3f9310b8e7
Feb 19 15:47:24 localhost.localdomain kernel: RDX: 00007ffccc1e0f00 RSI: 00000000c0306480 RDI: 000000000000000c
Feb 19 15:47:24 localhost.localdomain kernel: RBP: 00007ffccc1e0f00 R08: 0000000000000004 R09: 0000000000000006
Feb 19 15:47:24 localhost.localdomain kernel: R10: ffffffffffffffb0 R11: 0000000000000246 R12: 00000000c0306480
Feb 19 15:47:24 localhost.localdomain kernel: R13: 000000000000000c R14: 000055a974074748 R15: 000055a970e74950
Feb 19 15:47:27 localhost.localdomain kernel: nouveau 0000:01:00.0: swiotlb buffer is full (sz: 2097152 bytes)
Feb 19 15:47:27 localhost.localdomain kernel: swiotlb: coherent allocation failed for device 0000:01:00.0 size=2097152
Feb 19 15:47:27 localhost.localdomain kernel: CPU: 5 PID: 1866 Comm: gnome-shell Not tainted 4.15.3-300.fc27.x86_64 #1
Feb 19 15:47:27 localhost.localdomain kernel: Hardware name: LENOVO 20EN0007UK/20EN0007UK, BIOS N1EET73W (1.46 ) 09/28/2017
Feb 19 15:47:27 localhost.localdomain kernel: Call Trace:
Feb 19 15:47:27 localhost.localdomain kernel:  dump_stack+0x5c/0x85
Feb 19 15:47:27 localhost.localdomain kernel:  swiotlb_alloc_coherent+0xe0/0x150
Feb 19 15:47:27 localhost.localdomain kernel:  ttm_dma_pool_get_pages+0x20e/0x5e0 [ttm]
Feb 19 15:47:27 localhost.localdomain kernel:  ttm_dma_populate+0x24d/0x340 [ttm]
Feb 19 15:47:27 localhost.localdomain kernel:  ttm_tt_bind+0x29/0x60 [ttm]
Feb 19 15:47:27 localhost.localdomain kernel:  ttm_bo_handle_move_mem+0x5da/0x610 [ttm]
Feb 19 15:47:27 localhost.localdomain kernel:  ttm_bo_validate+0x135/0x150 [ttm]
Feb 19 15:47:27 localhost.localdomain kernel:  ttm_bo_init_reserved+0x385/0x430 [ttm]
Feb 19 15:47:27 localhost.localdomain kernel:  ttm_bo_init+0x2f/0x90 [ttm]
Feb 19 15:47:27 localhost.localdomain kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
Feb 19 15:47:27 localhost.localdomain kernel:  ? _cond_resched+0x15/0x40
Feb 19 15:47:27 localhost.localdomain kernel:  nouveau_bo_new+0x416/0x590 [nouveau]
Feb 19 15:47:27 localhost.localdomain kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
Feb 19 15:47:27 localhost.localdomain kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
Feb 19 15:47:27 localhost.localdomain kernel:  nouveau_gem_new+0x5d/0x120 [nouveau]
Feb 19 15:47:27 localhost.localdomain kernel:  nouveau_gem_ioctl_new+0x51/0xd0 [nouveau]
Feb 19 15:47:27 localhost.localdomain kernel:  drm_ioctl_kernel+0x5b/0xb0 [drm]
Feb 19 15:47:27 localhost.localdomain kernel:  drm_ioctl+0x2d5/0x370 [drm]
Feb 19 15:47:27 localhost.localdomain kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
Feb 19 15:47:27 localhost.localdomain kernel:  nouveau_drm_ioctl+0x64/0xc0 [nouveau]
Feb 19 15:47:27 localhost.localdomain kernel:  do_vfs_ioctl+0xa4/0x620
Feb 19 15:47:27 localhost.localdomain kernel:  SyS_ioctl+0x74/0x80
Feb 19 15:47:27 localhost.localdomain kernel:  do_syscall_64+0x75/0x180
Feb 19 15:47:27 localhost.localdomain kernel:  entry_SYSCALL_64_after_hwframe+0x21/0x86
Feb 19 15:47:27 localhost.localdomain kernel: RIP: 0033:0x7f3f9310b8e7
Feb 19 15:47:27 localhost.localdomain kernel: RSP: 002b:00007ffccc1e0ea8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Feb 19 15:47:27 localhost.localdomain kernel: RAX: ffffffffffffffda RBX: 000055a973cc1800 RCX: 00007f3f9310b8e7
Feb 19 15:47:27 localhost.localdomain kernel: RDX: 00007ffccc1e0f00 RSI: 00000000c0306480 RDI: 000000000000000c
Feb 19 15:47:27 localhost.localdomain kernel: RBP: 00007ffccc1e0f00 R08: 0000000000000004 R09: 0000000000000006
Feb 19 15:47:27 localhost.localdomain kernel: R10: ffffffffffffffb0 R11: 0000000000000246 R12: 00000000c0306480
Feb 19 15:47:27 localhost.localdomain kernel: R13: 000000000000000c R14: 000055a97383b538 R15: 000055a970e74950
Feb 19 15:47:28 localhost.localdomain kernel: nouveau 0000:01:00.0: swiotlb buffer is full (sz: 2097152 bytes)
Feb 19 15:47:28 localhost.localdomain kernel: swiotlb: coherent allocation failed for device 0000:01:00.0 size=2097152
Feb 19 15:47:28 localhost.localdomain kernel: CPU: 3 PID: 1866 Comm: gnome-shell Not tainted 4.15.3-300.fc27.x86_64 #1
Feb 19 15:47:28 localhost.localdomain kernel: Hardware name: LENOVO 20EN0007UK/20EN0007UK, BIOS N1EET73W (1.46 ) 09/28/2017
Feb 19 15:47:28 localhost.localdomain kernel: Call Trace:
Feb 19 15:47:28 localhost.localdomain kernel:  dump_stack+0x5c/0x85
Feb 19 15:47:28 localhost.localdomain kernel:  swiotlb_alloc_coherent+0xe0/0x150
Feb 19 15:47:28 localhost.localdomain kernel:  ttm_dma_pool_get_pages+0x20e/0x5e0 [ttm]
Feb 19 15:47:28 localhost.localdomain kernel:  ttm_dma_populate+0x24d/0x340 [ttm]
Feb 19 15:47:28 localhost.localdomain kernel:  ttm_tt_bind+0x29/0x60 [ttm]
Feb 19 15:47:28 localhost.localdomain kernel:  ttm_bo_handle_move_mem+0x5da/0x610 [ttm]
Feb 19 15:47:28 localhost.localdomain kernel:  ttm_bo_validate+0x135/0x150 [ttm]
Feb 19 15:47:28 localhost.localdomain kernel:  ttm_bo_init_reserved+0x385/0x430 [ttm]
Feb 19 15:47:28 localhost.localdomain kernel:  ttm_bo_init+0x2f/0x90 [ttm]
Feb 19 15:47:28 localhost.localdomain kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
Feb 19 15:47:28 localhost.localdomain kernel:  ? _cond_resched+0x15/0x40
Feb 19 15:47:28 localhost.localdomain kernel:  nouveau_bo_new+0x416/0x590 [nouveau]
Feb 19 15:47:28 localhost.localdomain kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
Feb 19 15:47:28 localhost.localdomain kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
Feb 19 15:47:28 localhost.localdomain kernel:  nouveau_gem_new+0x5d/0x120 [nouveau]
Feb 19 15:47:28 localhost.localdomain kernel:  nouveau_gem_ioctl_new+0x51/0xd0 [nouveau]
Feb 19 15:47:28 localhost.localdomain kernel:  drm_ioctl_kernel+0x5b/0xb0 [drm]
Feb 19 15:47:28 localhost.localdomain kernel:  drm_ioctl+0x2d5/0x370 [drm]
Feb 19 15:47:28 localhost.localdomain kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
Feb 19 15:47:28 localhost.localdomain kernel:  nouveau_drm_ioctl+0x64/0xc0 [nouveau]
Feb 19 15:47:28 localhost.localdomain kernel:  do_vfs_ioctl+0xa4/0x620
Feb 19 15:47:28 localhost.localdomain kernel:  SyS_ioctl+0x74/0x80
Feb 19 15:47:28 localhost.localdomain kernel:  do_syscall_64+0x75/0x180
Feb 19 15:47:28 localhost.localdomain kernel:  entry_SYSCALL_64_after_hwframe+0x21/0x86
Feb 19 15:47:28 localhost.localdomain kernel: RIP: 0033:0x7f3f9310b8e7
Feb 19 15:47:28 localhost.localdomain kernel: RSP: 002b:00007ffccc1e0ea8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
Feb 19 15:47:28 localhost.localdomain kernel: RAX: ffffffffffffffda RBX: 000055a973cc1800 RCX: 00007f3f9310b8e7
Feb 19 15:47:28 localhost.localdomain kernel: RDX: 00007ffccc1e0f00 RSI: 00000000c0306480 RDI: 000000000000000c
Feb 19 15:47:28 localhost.localdomain kernel: RBP: 00007ffccc1e0f00 R08: 0000000000000004 R09: 0000000000000006
Feb 19 15:47:28 localhost.localdomain kernel: R10: ffffffffffffffb0 R11: 0000000000000246 R12: 00000000c0306480
Feb 19 15:47:28 localhost.localdomain kernel: R13: 000000000000000c R14: 000055a9740e4ad8 R15: 000055a970e74950

And on previous boots I also saw:

Feb 19 15:23:30 localhost.localdomain kernel: nouveau 0000:01:00.0: Xwayland[2077]: nv50cal_space: -16
Feb 19 15:23:30 localhost.localdomain kernel: nouveau 0000:01:00.0: Xwayland[2077]: nv50cal_space: -16

So this may be several issues or just one, I'm not sure. Either way a fix or a workaround would be extremely valuable.
Comment 25 Will Newton 2018-02-20 05:15:22 EST
The problem persists with Mesa 17.3.4 installed.
Comment 26 Jim Scarborough 2018-02-26 11:24:01 EST
4.14.18-300.fc27.x86_64 is working better for me.  I have been able to get the external display on a docking station to come on from time to time (docking while active (not suspended), I think) and I've had uptime of 11 days so far, knock on PCB.
Comment 27 Will Newton 2018-02-26 11:31:37 EST
I have found Xorg is much more stable than Wayland at the moment with this driver, ~1 crash per day versus >10 crashes per day, depending on workload. However when Xorg crashes I don't see anything in the kernel logs, so I'm not sure if the issue is the same or not.

Did you upgrade or downgrade your kernel to that revision? I am still seeing crashes with the 4.15 kernel in Fedora.
Comment 28 Brian Kaye 2018-03-06 19:27:39 EST
I switched to the nvidia drivers a week or so ago and have not had a single freeze-up. Got tired of fighting.Unfortunately the drivers are not signed so you have to disable secure boot. Running kernel 4.15.6-200.fc26.x86_64
Comment 29 Peter Larsen 2018-03-07 14:59:14 EST
(In reply to Brian Kaye from comment #28)
> I switched to the nvidia drivers a week or so ago and have not had a single
> freeze-up. Got tired of fighting.Unfortunately the drivers are not signed so
> you have to disable secure boot. Running kernel 4.15.6-200.fc26.x86_64

I've done that on the desktop where I have an NVidia card in, and it too resolved ALL freezes immediately.
Comment 30 Stefano Biagiotti 2018-04-30 13:06 EDT
Created attachment 1428905 [details]
Output of journalctl -k -b -1 --no-pager --no-hostname

Same here although on Fedora 27 and different hardware.

Display adapter is (from lspci -nn):
01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GT215 [GeForce GT 320] [10de:0ca2] (rev a2)

Packages are kernel-4.16.4-200.fc27.x86_64 and xorg-x11-drv-nouveau-1.0.15-3.fc27.x86_64.
Comment 31 Fedora End Of Life 2018-05-03 03:57:43 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 32 Corey Ashford 2018-05-03 04:29:34 EDT
(In reply to Fedora End Of Life from comment #31)
> This message is a reminder that Fedora 26 is nearing its end of life.

This bug should be updated to at least Fedora 27, as it's still occurring.
Comment 33 Will Newton 2018-05-03 04:40:45 EDT
I can confirm this issue is still present in F27, I haven't tried F28 yet.
Comment 34 Will Newton 2018-05-09 08:17:48 EDT
Still present in F28.

May 09 13:10:48 localhost.localdomain kernel: nouveau 0000:01:00.0: swiotlb buffer is full (sz: 2097152 bytes)
May 09 13:10:48 localhost.localdomain kernel: nouveau 0000:01:00.0: swiotlb: coherent allocation failed, size=2097152
May 09 13:10:48 localhost.localdomain kernel: CPU: 4 PID: 1966 Comm: Xorg Not tainted 4.16.6-302.fc28.x86_64 #1
May 09 13:10:48 localhost.localdomain kernel: Hardware name: LENOVO 20EN0007UK/20EN0007UK, BIOS N1EET73W (1.46 ) 09/28/2017
May 09 13:10:48 localhost.localdomain kernel: Call Trace:
May 09 13:10:48 localhost.localdomain kernel:  dump_stack+0x5c/0x85
May 09 13:10:48 localhost.localdomain kernel:  swiotlb_alloc_coherent+0x1c3/0x1e0
May 09 13:10:48 localhost.localdomain kernel:  ttm_dma_pool_get_pages+0x21a/0x620 [ttm]
May 09 13:10:48 localhost.localdomain kernel:  ttm_dma_populate+0xdd/0x390 [ttm]
May 09 13:10:48 localhost.localdomain kernel:  ttm_tt_bind+0x2e/0x60 [ttm]
May 09 13:10:48 localhost.localdomain kernel:  ttm_bo_handle_move_mem+0x4cd/0x530 [ttm]
May 09 13:10:48 localhost.localdomain kernel:  ttm_bo_validate+0x119/0x130 [ttm]
May 09 13:10:48 localhost.localdomain kernel:  ? drm_add_edid_modes+0x1046/0x1840 [drm]
May 09 13:10:48 localhost.localdomain kernel:  ttm_bo_init_reserved+0x334/0x380 [ttm]
May 09 13:10:48 localhost.localdomain kernel:  ? ttm_bo_init+0x62/0xd0 [ttm]
May 09 13:10:48 localhost.localdomain kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
May 09 13:10:48 localhost.localdomain kernel:  ? nouveau_bo_new+0x401/0x580 [nouveau]
May 09 13:10:48 localhost.localdomain kernel:  ? nouveau_bo_invalidate_caches+0x10/0x10 [nouveau]
May 09 13:10:48 localhost.localdomain kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
May 09 13:10:48 localhost.localdomain kernel:  ? nouveau_gem_new+0x5d/0x120 [nouveau]
May 09 13:10:48 localhost.localdomain kernel:  ? nouveau_gem_ioctl_new+0x53/0xe0 [nouveau]
May 09 13:10:48 localhost.localdomain kernel:  ? drm_ioctl_kernel+0x5b/0xb0 [drm]
May 09 13:10:48 localhost.localdomain kernel:  ? drm_ioctl+0x1c0/0x380 [drm]
May 09 13:10:48 localhost.localdomain kernel:  ? nouveau_gem_new+0x120/0x120 [nouveau]
May 09 13:10:48 localhost.localdomain kernel:  ? nouveau_drm_ioctl+0x65/0xc0 [nouveau]
May 09 13:10:48 localhost.localdomain kernel:  ? do_vfs_ioctl+0xa4/0x610
May 09 13:10:48 localhost.localdomain kernel:  ? SyS_ioctl+0x74/0x80
May 09 13:10:48 localhost.localdomain kernel:  ? do_syscall_64+0x74/0x180
May 09 13:10:48 localhost.localdomain kernel:  ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
May 09 13:13:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 13 [00fe117000 Xorg[1966]]
May 09 13:13:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000009
May 09 13:13:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000009
May 09 13:13:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000009
May 09 13:13:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 13 [00fe117000 Xorg[1966]]
May 09 13:13:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000000
May 09 13:13:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000009
May 09 13:13:49 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 13 [00fe117000 Xorg[1966]]
Comment 35 Will Newton 2018-06-06 05:39:24 EDT
FWIW this is still present and locking up regularly in 4.16.13-300.fc28.x86_64:

Jun 06 10:15:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 13 [00fe117000 Xorg[1930]]
Jun 06 10:15:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC0/TEX: 80000009
Jun 06 10:15:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000000
Jun 06 10:15:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 13 [00fe117000 Xorg[1930]]
Jun 06 10:15:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000000
Jun 06 10:15:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000009
Jun 06 10:15:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: TRAP ch 13 [00fe117000 Xorg[1930]]
Jun 06 10:15:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC1/TEX: 80000009
Jun 06 10:15:50 localhost.localdomain kernel: nouveau 0000:01:00.0: gr: GPC0/TPC2/TEX: 80000009
Comment 36 Mario Fusco 2018-06-10 11:45:22 EDT
I am experiencing the same also on F28. A couple of times it happened today while listening music with VLC. Not sure if this is related, but I wasn't doing any other relevant activity other than browsing.
Comment 37 Jim Scarborough 2018-07-09 12:33:48 EDT
4.14.18-300.fc27.x86_64 was substantially more reliable than 4.17.3-200.fc28.x86_64 which has been crashing on me several times a day.  

It may also be of note that Chrome gets messed up, with the tabs, location bar, and bookmarks bar getting obscured by large black rectangles sometimes with some random graphics.  I can restart the Chrome window to fix it.

I have seen a similar failure in the KDE bar which shows clock, icons, and apps.  It occasionally gets corrupted and each window or tray icon replaced by some random slice of some graphic.
Comment 38 Jim Scarborough 2018-07-30 15:29:56 EDT
Judging by my rebooting patterns, this could be related to bug 1584463.  I have noticed crashes more often when there's some audio or video going.
Comment 39 lkjsldfads 2018-08-08 11:51:36 EDT
I am experiencing the same problem with Fedora 28.
Kernel: 4.17.11-200.fc28.x86_64
GPU:    GTX 780-ti
Comment 40 Will Newton 2018-09-27 10:52:40 EDT
I am still seeing the problem with the latest Fedora 28 (4.18.9-200.fc28.x86_64) but I will no longer have access to the hardware from tomorrow, it will not be missed.

Note You need to log in before you can comment on or make changes to this bug.